// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "UICanvas.hpp"

namespace Dawn {
  class UIComponentRendaerable {
    public:
      int32_t cum;
  };

  class UIComponent : public SceneItemComponent {
    private:
      UICanvas *canvas = nullptr;
      
    public:
      UIComponent(SceneItem *item);

      friend class UICanvas;
  };
}