// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "save/SaveManager.hpp"

#define POKER_SAVE_KEY_EXAMPLE "poker.example"

namespace Dawn {
  class PokerSaveManager : public SaveManager {
    protected:
      virtual bool_t validateSave(struct SaveFile raw) override;

    public:
      PokerSaveManager(DawnGame *game);

      void setExample(int32_t value);
      int32_t getExample();
  };
}