// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/DawnTool.hpp"
#include "util/File.hpp"
#include "AudioFile.h"

namespace Dawn {
  class AudioGen : public DawnTool {
    protected:
      std::vector<std::string> getRequiredFlags() override;

    public:
      int32_t start();
  };
}